<!--
  ~ #%L
  ~ chvote-bo
  ~ %%
  ~ Copyright (C) 2016 - 2019 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<completable-card title="{{'testing-cards-lot.card.' +  i18nSubSection + '.title' | translate}}"
                  subtitle="{{'testing-cards-lot.card.' +  i18nSubSection + '.subtitle' | translate}}"
                  required="true"
                  [completed]="completed"
                  [inError]="inError"
                  [readOnly]="readOnly"
                  [partiallyCompleted]="lots.length > 0"
                  [editSection]="editSection">
  <div fxLayout="column" fxLayoutGap="2rem">
    <div fxLayout="column">
      <span class="readonly-label">{{'testing-cards-lot.card.lot-count' | translate}}</span>
      <span class="readonly-value" id="count">{{ lotCount }}</span>
    </div>
    <div fxLayout="column">
      <span class="readonly-label">{{'testing-cards-lot.card.testing-material' | translate}}</span>
      <span class="readonly-value" id="availability">
        {{ 'testing-cards-lot.card.testing-material-status.' + (testingMaterialAvailability?"available":"unavailable")  | translate }}
      </span>
    </div>
  </div>
</completable-card>
